Create Reward Program

Creates a reward program for the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/reward-programs/create' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "idempotency_key": "{{$timestamp}}-reward-program-create", "membership_name": "Silver Rewards", "amount_for_unit_rp": 1, "minimum_order_total_to_earn_points": 10, "minimum_redeem_point": 10 }' ``` Example success response shape: ```json { "success": true, "message": "Reward program created successfully.", "data": { "program_id": 1, "membership_name": "Silver Rewards", "amount_for_unit_rp": 1, "minimum_order_total_to_earn_points": 10 }, "meta": {} } ``` Example error response shape: ```json { "success": false, "message": "The same idempotency_key cannot be reused with a different payload.", "error": { "code": "idempotency_key_reused_with_different_payload", "details": {} } } ``` Common platform errors: - `idempotency_key_required` - `sp_scope_not_granted` - `sp_token_scope_missing` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

201 Created Example
successboolean
messagestring
dataobject
metaobject